## gmult 10.0

=== Makefile ===
# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 2 -*-
#
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: Michael Terry

all: configure
	meson compile -C _build

%:
	@[ "$@" = "Makefile" ] || meson compile -C _build $@

configure:
	@[ -d _build/meson-info ] || meson setup _build

check: all
	meson test -C _build

dist:
	meson dist -C _build

clean:
	rm -rf _build

.PHONY: run
run:
	@flatpak run \
		--command=make \
		--devel \
		--filesystem=home \
		net.launchpad.gmult//master \
		run-bash

.PHONY: run-bash
run-bash:
	@env \
		PKG_CONFIG_PATH=/app/lib/pkgconfig \
		make && meson devenv -C _build gmult

.PHONY: devenv
devenv:
	@flatpak run \
		--command=make \
		--devel \
		--filesystem=home \
		net.launchpad.gmult//master \
		devenv-bash

.PHONY: devenv-bash
devenv-bash:
	@env PKG_CONFIG_PATH=/app/lib/pkgconfig make configure
	@meson devenv -C _build env \
		-C `pwd` \
		PKG_CONFIG_PATH=/app/lib/pkgconfig \
		PS1='[📦 \W]$$ ' \
		bash --norc

.PHONY: devenv-sdk
devenv-sdk:
	flatpak remote-add --user --if-not-exists gnome-nightly https://nightly.gnome.org/gnome-nightly.flatpakrepo
	flatpak install --or-update -y gnome-nightly org.gnome.Platform//master org.gnome.Sdk//master

.PHONY: devenv-setup
devenv-setup: devenv-sdk flatpak
	@echo -e '\033[0;36mAll done!\033[0m Run "make devenv" to enter the build environment'

.PHONY: flatpak
flatpak:
	flatpak-builder --install \
	                --user \
	                --force-clean \
	                --state-dir=_build/.flatpak-builder \
	                _build/flatpak \
	                flatpak/net.launchpad.gmult.yaml

pot: configure
	meson compile -C _build gmult-pot
	sed -i 's/This file is distributed under the same license as the gmult package\./SPDX-License-Identifier\: GPL-3.0-or-later/' po/gmult.pot

# call like 'make copy-po TD=path-to-translation-dir'
copy-po:
	test -d $(TD)
	cp -a $(TD)/po/*.po po
	git add po/*.po

.PHONY: lint
lint:
	reuse lint

.PHONY: configure clean all check pot copy-po

## gmult 7.3

=== debian/changelog ===
gmult (7.3-1) unstable; urgency=low

  * New upstream release. (Closes: #622219)
  * debian/control:
    - Add myself as Uploaders. (Closes: #544923)
    - Bump Standards Version to 3.9.2 no source changes.
    - Change Homepage field to Launchpad.
  * debian/watch: Change upstream homepage to Launchpad.
  * debian/copyright: Rewritting as dep-5 format.
  * Dropped unused patch:
    - debian/patches/10_desktop_file_warns.diff
    - debian/patches/10_ftbfs_wtf.diff
    - debian/patches/fix_gtkmm_detection
    - debian/patches/ftbfs_gcc-4.3.diff

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 12 Apr 2011 01:33:17 +0700

gmult (7.2-2) unstable; urgency=low

  [ Barry deFreese ]
  * 10_ftbfs_wtf.diff - Fix FTBFS. (Closes: #542998).
    + No idea why this works but thanks to Stefan Potyra.
  * Add README.source from quilt.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 25 Sep 2009 21:33:27 -0400

gmult (7.2-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 15 May 2009 11:33:55 -0400

gmult (7.1-1) unstable; urgency=low

  [ Paul Wise ]
  * Fix gmult watch file for new tarball location

  [ Barry deFreese ]
  * New upstream release.
    + Remove existing patches. (Virtually a total re-write).
  * Update my e-mail address.
  * Drop libgtkmm build-dep.  Replace with libgtk2.0-dev.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 15 Mar 2009 20:42:24 -0400

gmult (5.4-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Make configure fail if GTKMM is not found
  * Avoid running configure twice

  [ Paul Wise ]
  * Build-Depend on packages needed for running autoreconf

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 22 Jun 2008 12:52:33 +0200

gmult (5.4-1) unstable; urgency=low

  * New Upstream release
  * Use debhelper instead of cdbs
  * Bump standards version to 3.8.0
  * Add myself to Uploaders
  * Use -Wl,--as-needed to reduce direct dependencies
  * Change man page section to 6 (Games)

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 12 Jun 2008 16:52:56 +0200

gmult (5.3-2) unstable; urgency=high

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Alexander Schmehl ]
  * Adding debian/patches/ftbfs_gcc-4.3.diff to fix FTBFS with gcc 4.3
    (Closes: #474799)
    Thanks Cyril Brulebois for the patch!

 -- Barry deFreese <bddebian@comcast.net>  Tue, 08 Apr 2008 00:53:32 +0200

gmult (5.3-1) unstable; urgency=low

  * Initial Release (Closes: #294764)
  * Add quilt patch system
  * 10_desktop_file_warns.diff
    + Remove deprecated fields from desktop file

 -- Barry deFreese <bddebian@comcast.net>  Wed, 10 Oct 2007 14:41:59 -0400

=== debian/control ===
Source: gmult
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>, Ansgar Burchardt <ansgar@43-1.org>, Mahyuddin Susanto <udienz@ubuntu.com>
Build-Depends: debhelper (>> 7), quilt, intltool (>= 0.28), gettext (>= 0.12.1), docbook-xsl, xsltproc, automake, autoconf, pkg-config, libgtk2.0-dev, libglib2.0-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/gmult
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/gmult/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/gmult/?op=log

Package: gmult
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: figure out which letters are which numbers
 Multiplication Puzzle is a simple GTK+ 2 game that emulates the
 multiplication game found in Emacs.  Basically, a multiplication
 problem is shown with all digits replaced by letters.  Your job
 is to guess which letter represents which number.

## gmult 8.0

=== debian/changelog ===
gmult (8.0-2) unstable; urgency=low

  [ Mahyuddin Susanto ]
  * debian/control:
    - Moving Vcs-* go git.
    - Wrap and sort

  [ Barry deFreese ]
  * Patch to explicitly link libm. (Closes: #713738).
  * Bump debhelper build-dep and compat to 9.
    + Move to dh style rules file.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 23 Jun 2013 04:44:00 -0400

gmult (8.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Change Build-Dep libgtk-2-dev -> libgtk-3-dev.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Thu, 05 May 2011 01:15:10 +0700

=== debian/control ===
Source: gmult
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
           Ansgar Burchardt <ansgar@43-1.org>,
           Mahyuddin Susanto <udienz@ubuntu.com>
Build-Depends: autoconf,
               automake,
               autopoint,
               debhelper (>> 9),
               dh-autoreconf,
               docbook-xsl,
               gettext (>= 0.12.1),
               intltool (>= 0.28),
               libglib2.0-dev,
               libgtk-3-dev,
               pkg-config,
               quilt,
               xsltproc
Standards-Version: 3.9.4
Homepage: https://launchpad.net/gmult
Vcs-Git: git://anonscm.debian.org/pkg-games/gmult.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-games/gmult.git

Package: gmult
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: figure out which letters are which numbers
 Multiplication Puzzle is a simple GTK+ 2 game that emulates the
 multiplication game found in Emacs.  Basically, a multiplication
 problem is shown with all digits replaced by letters.  Your job
 is to guess which letter represents which number.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

%:
	dh $@ --verbose --with autoreconf

override_dh_auto_configure:
	intltoolize --force
	dh_auto_configure -- --bindir=\$${prefix}/games

override_dh_auto_test:


override_dh_installman:
	xsltproc --nonet -o debian/gmult.6 \
	  /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl debian/gmult.dbk
	dh_installman

=== debian/watch ===
version=3
https://launchpad.net/gmult/+download http://launchpad.net/gmult/.*/gmult-(.*)\.tar\.bz2

## gmult 10.0

=== debian/changelog ===
gmult (10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop obsolete patch.
  * d/control:
    - Drop quilt build-dependency and instructions
    - Update build-dependencies for new upstream release
    - Update Standards-Version to 4.6.2
      * Drop menu file and xpm icon
      * Declare that d/rules does not require root
    - Update description to refer to new GTK version
    - Point Vcs-* URLs to salsa
  * d/rules:
    * Update rules for new meson buildsystem
    * Enable all hardening options
  * Update to debhelper compat level 13.
  * Update list of installed documentation.
  * Clean up manpage.
  * Update copyright and license information.
  * Add upstream metadata.
  * Fix license information of the manpage.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 08 Jan 2023 19:09:18 +0100

=== debian/control ===
Source: gmult
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
           Ansgar Burchardt <ansgar@43-1.org>,
           Mahyuddin Susanto <udienz@ubuntu.com>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               desktop-file-utils,
               docbook-xsl,
               libadwaita-1-dev (>= 1.0),
               libglib2.0-dev (>= 2.70),
               libgtk-4-dev (>= 4.6),
               meson,
               valac,
               xsltproc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://launchpad.net/gmult
Vcs-Git: https://salsa.debian.org/games-team/gmult.git
Vcs-Browser: https://salsa.debian.org/games-team/gmult

Package: gmult
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: figure out which letters are which numbers
 Multiplication Puzzle is a simple GTK 4 game that emulates the
 multiplication game found in Emacs.  Basically, a multiplication
 problem is shown with all digits replaced by letters.  Your job
 is to guess which letter represents which number.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --bindir=games

execute_before_dh_installman:
	xsltproc --nonet -o debian/gmult.6 \
	  /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl debian/gmult.dbk

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

=== debian/watch ===
version=4
https://launchpad.net/gmult/+download .*/gmult-@ANY_VERSION@@ARCHIVE_EXT@

## gmult 11.0

=== debian/changelog ===
gmult (11.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:03:19 +0000

gmult (11.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:36:04 +0000

gmult (11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump libadwaita build dependency version.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 13:06:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gmult
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>,
            Ansgar Burchardt <ansgar@43-1.org>,
            Mahyuddin Susanto <udienz@ubuntu.com>
@@ -9,7 +10,7 @@
                debhelper-compat (= 13),
                desktop-file-utils,
                docbook-xsl,
-               libadwaita-1-dev (>= 1.0),
+               libadwaita-1-dev (>= 1.2),
                libglib2.0-dev (>= 2.70),
                libgtk-4-dev (>= 4.6),
                meson,
